import { PromiseProgress } from './promise-progress';
export declare function download(href: any, name: string): void;
export declare function downloadBlob(blob: Blob, name: string): void;
export declare function fileBrowser(options?: {
    accept?: string;
    multiple?: boolean;
}): Promise<File[]>;
export declare function uploadWithProgress<T>(options: {
    url: string;
    files: File[];
    headers?: {
        [key: string]: string;
    };
    withCredentials?: boolean;
}): PromiseProgress<T>;
